# Interface IClasspathContributor2

All Superinterfaces:
  `IClasspathContributor`

public interface IClasspathContributor2 extends IClasspathContributor
Extension interface for `IClasspathContributor`.

This interface allows adding classpath entries after the classpath has been calculated.

Since:
  3.21

## Method Summary

Modifier and Type
Method
Description
`Stream<IClasspathEntry>`
`getAdditionalEntries(BundleDescription project)`
Get any additional classpath entries to add to a project when its classpath is first computed.

### Methods inherited from interface IClasspathContributor

`getEntriesForDependency, getInitialEntries`

## Method Details

### getAdditionalEntries

Stream<IClasspathEntry> getAdditionalEntries(BundleDescription project)
Get any additional classpath entries to add to a project when its classpath is first computed. The provided `BundleDescription` describes the plug-in project that the classpath is being computed for. The entries are added at the end of the calculation process. Additional PDE model information can be obtained using `PluginRegistry.findModel(Resource)`.

Parameters:
  `project` - the bundle descriptor for the plug-in project having its classpath computed
Returns:
  additional classpath entries to add to the project at the end of the classpath calculation, possibly empty, must not be `null`
Since:
  3.21